/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Jun 23 2002 23.58
    copyright            : (C) 2002 by Whitehawk Stormchaser
    email                : zerokode@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "kmmversion.h"
#include "mainwindow.h"

static const char *description =
	I18N_NOOP("X Multiple Arcade Machine Emulator wrapper");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kmameleon", I18N_NOOP("KMameleon"),
    DEF_VERSION, description, KAboutData::License_GPL,
    "(c) 2002-2003, Whitehawk Stormchaser", 0, "http://designs.stormheart.com/kmameleon/", "zerokode@gmx.net");
  aboutData.addAuthor("Whitehawk Stormchaser",0, "zerokode@gmx.net");
  aboutData.addCredit("Richard Moore","coding help", "rich@kde.org");
  aboutData.addCredit("Dirk Mueller","Fix some compile bugs", "mueller@kde.org");
  aboutData.addCredit("Waldo Bastian","Explained about plugins", "bastian@kde.org");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KMameleon *mameleon = new KMameleon();
  a.setMainWidget(mameleon);
  mameleon->show();

  return a.exec();
}
